<!DOCTYPE html>
<html lang="en">

<head th:replace="fragments/layout.html :: head('DigiTroc - Connexion/Inscription')">
</head>

<body>
  <nav th:replace="@{/include/navbar}"></nav>

    <main>
        <div class="container-fluid p-0"><img src="img/banniere.jpg" class="img-fluid w-100" alt="photo dvd" /></div>

        <div class="container">
            <div class="text-white m-5">
                <h2>S'inscrire</h2>
                <div class="card w-75 mx-auto">
                    <div class="card-body">
                        <p th:if="${feedback}" th:text="${feedback}"></p>
                        <form th:action="@{/register}" method="post" novalidate="">
                            <label for="text" class="form-label text-dark">Nom</label>
                            <input type="text" id="text" class="form-control" th:field="${user.lastname}"
                                placeholder="Exemple">
                            <label for="text" class="form-label text-dark mt-1">Prénom</label>
                            <input type="text" id="text" class="form-control" th:field="${user.firstname}"
                                placeholder="Exemple">
                            <label for="text" class="form-label text-dark mt-1">Ville</label>
                            <input type="text" id="text" class="form-control" th:field="${user.city}"
                                placeholder="Ville exemple">
                                <label for="text" class="form-label text-dark mt-1">Username</label>
                            <input type="text" id="text" class="form-control" th:field="${user.username}"
                                placeholder="Exemple69">

                            <p class="text-center mt-5 text-success fw-bold">Eléments de connexion</p>
                            <label for="email" class="form-label text-dark mt-1">Email :</label>
                            <input type="email" id="email" class="form-control" th:field="${user.email}"
                                placeholder="exemple@exemple.com">
                            <p class="text-danger" th:errors="${user.email}" >doit être une adresse électronique syntaxiquement correcte</p>
                            <label for="password" class="form-label text-dark mt-1">Mot de passe :</label>
                            <input type="password" id="password" class="form-control" th:field="${user.password}"
                                placeholder="Mot de passe de plus de 8 caractères">
                            <p class="text-danger" th:errors="${user.password}">la taille doit être comprise entre 8 et 45 caractères</p>
                            <button class="btn btn-success mt-3">Inscription</button>
                            
                            <p><small class="text-muted">By clicking Sign up, you agree to the terms of use.</small></p>
                        </form>
                    </div>
                </div>
            </div>
        </div>

    </main>


    <div th:replace="@{/include/footer}"></div>
    <div th:fragment="foot"></div>
</body>

</html>